import request from '@/utils/request'

// 查询特种设备电梯台账列表
export function listDevdt(query) {
  return request({
    url: '/sems/devdt/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备电梯台账详细
export function getDevdt(id) {
  return request({
    url: '/sems/devdt/' + id,
    method: 'get'
  })
}

// 新增特种设备电梯台账
export function addDevdt(data) {
  return request({
    url: '/sems/devdt',
    method: 'post',
    data: data
  })
}

// 修改特种设备电梯台账
export function updateDevdt(data) {
  return request({
    url: '/sems/devdt',
    method: 'put',
    data: data
  })
}

// 删除特种设备电梯台账
export function delDevdt(id) {
  return request({
    url: '/sems/devdt/' + id,
    method: 'delete'
  })
}

// 导出特种设备电梯台账
export function exportDevdt(query) {
  return request({
    url: '/sems/devdt/export',
    method: 'get',
    params: query
  })
}
